# Generated by Django 4.0 on 2022-10-02 12:54

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import settings_app.upload_utils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('employee', '0005_alter_employee_blood_alter_employee_father_and_more'),
        ('custom', '0006_position_code'),
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='AttendanceStatus',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(blank=True, max_length=10, null=True)),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Holiday',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('date', models.DateField()),
                ('is_active', models.BooleanField(default=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Month',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.IntegerField(blank=True, null=True)),
                ('name', models.CharField(blank=True, max_length=20, null=True)),
                ('is_active', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Year',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField(blank=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='AttendanceUnit',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField(null=True)),
                ('month', models.IntegerField(null=True)),
                ('is_confirm', models.BooleanField(default=False, null=True)),
                ('is_final', models.BooleanField(default=False, null=True)),
                ('file', models.FileField(null=True, upload_to=settings_app.upload_utils.upload_attendace, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['pdf'])], verbose_name='Upload PDF')),
                ('unit', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='attendanceunit', to='custom.unit', verbose_name='Unidade')),
            ],
        ),
        migrations.CreateModel(
            name='Attendance',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time_am', models.DateTimeField(verbose_name='Horas tama dader')),
                ('time_pm', models.DateTimeField(verbose_name='Horas tama loro-kraik')),
                ('date', models.DateField(verbose_name='Data')),
                ('desc', models.CharField(blank=True, max_length=200, null=True, verbose_name='Deskrisaun')),
                ('is_present', models.BooleanField(blank=True, default=False, null=True)),
                ('datetime', models.DateTimeField(null=True)),
                ('hashed', models.CharField(max_length=32, null=True)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='attendance', to='employee.employee', verbose_name='Pessoal')),
                ('status_am', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='attendance_am', to='attendance.attendancestatus', verbose_name='Dader')),
                ('status_pm', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='attendance_pm', to='attendance.attendancestatus', verbose_name='Loro-Kraik')),
                ('unit', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='attendance', to='custom.unit', verbose_name='Unidade')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='auth.user')),
            ],
        ),
    ]
